<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: modelo_alfa_ext_01092014.xml */
/* Generado: 2014-09-07 19:34:38 */

/* Busqueda de registros de la tabla cr_pedido_prestamo. */
abstract class BaseCr_pedido_prestamoFN extends Cr_pedido_prestamoBN
{
    /* Declaracion de constantes */
    const Idpedido = "IDPEDIDO";
    const tipo = "TIPO";
    const IdCliente = "IDCLIENTE";
    const IidMercado = "IIDMERCADO";
    const IdColaborador = "IDCOLABORADOR";
    const FechaTransaccion = "FECHATRANSACCION";
    const Monto = "MONTO";
    const MontoFinal = "MONTOFINAL";
    const MontoExtraFinal = "MONTOEXTRAFINAL";
    const LimiteCredito = "LIMITECREDITO";
    const TelefonoContacto = "TELEFONOCONTACTO";
    const IdPrestamo = "IDPRESTAMO";
    const InteresPorcentaje = "INTERESPORCENTAJE";
    const Duracion = "DURACION";
    const DuracionFinal = "DURACION";
    const PeridiocidadPago = "PERIDIOCIDADPAGO";
    const PeridiocidadPagoFinal = "PERIDIOCIDADPAGO";
    const HoraAtencion = "HORAATENCION";
    const FechaCreacion = "FECHACREACION";
    const UsuarioCreacion = "USUARIOCREACION";
    const FechaModificacion = "FECHAMODIFICACION";
    const UsuarioModificacion = "USUARIOMODIFICACION";
    const Eliminado = "ELIMINADO";
    const UsuarioEliminado = "USUARIOELIMINADO";
    const FechaEliminado = "FECHAELIMINADO";
    const Estado = "cr_pedido_prestamo.ESTADO";
    const Observacion = "OBSERVACION";
    const ObservacionFinal = "OBSERVACIONFINAL";

    public $a_Condition = array();
    public $a_OrderBy = array();
    public $i_reconectar = '0';
    
    

    /* Obtiene una conexion a la base de datos */
    public function getConnect()
    {
    	
        $o_DBConnect = Conexion2::getConexion($this->i_reconectar);
        $o_Resource = $o_DBConnect->getResource();
        return $o_Resource;
    }

    /* Obtiene la cadena de columas */
    public function getSelectColumns()
    {
        $s_SQLQuery = "idpedido AS idpedido, ";
        $s_SQLQuery .= "tipo AS tipo, ";
        $s_SQLQuery .= "cr_pedido_prestamo.IdCliente AS IdCliente, ";
        $s_SQLQuery .= "IidMercado AS IidMercado, ";
        $s_SQLQuery .= "IdColaborador AS IdColaborador, ";
        $s_SQLQuery .= "FechaTransaccion AS FechaTransaccion, ";
        $s_SQLQuery .= "FechaEntrega AS FechaEntrega, ";
        $s_SQLQuery .= "Monto AS Monto, ";
        $s_SQLQuery .= "GastoAdministrativo AS GastoAdministrativo, ";
        $s_SQLQuery .= "GastoAdministrativoFinal AS GastoAdministrativoFinal, ";
        $s_SQLQuery .= "MontoFinal AS MontoFinal, ";
        $s_SQLQuery .= "LimiteCredito AS LimiteCredito, ";
        $s_SQLQuery .= "TelefonoContacto AS TelefonoContacto, ";
        $s_SQLQuery .= "IdPrestamo AS IdPrestamo, ";
        $s_SQLQuery .= "IdPrestamoReferencia AS IdPrestamoReferencia, ";
        $s_SQLQuery .= "SaldoAnterior AS SaldoAnterior, ";
        $s_SQLQuery .= "MontoExtra AS MontoExtra, ";
        $s_SQLQuery .= "MontoExtraFinal AS MontoExtraFinal, ";
        $s_SQLQuery .= "InteresPorcentaje AS InteresPorcentaje, ";
        $s_SQLQuery .= "InteresPorcentajeFinal AS InteresPorcentajeFinal, ";
        $s_SQLQuery .= "Duracion AS Duracion, ";
        $s_SQLQuery .= "Mora AS Mora, ";
        $s_SQLQuery .= "MoraFinal AS MoraFinal, ";
        $s_SQLQuery .= "DuracionFinal AS DuracionFinal, ";
        $s_SQLQuery .= "PeridiocidadPago AS PeridiocidadPago, ";
        $s_SQLQuery .= "PeridiocidadPagoFinal AS PeridiocidadPagoFinal, ";
        $s_SQLQuery .= "HoraAtencion AS HoraAtencion, ";
        $s_SQLQuery .= "RegistroLongitud AS RegistroLongitud, ";
        $s_SQLQuery .= "RegistroLatitud AS RegistroLatitud, ";
        $s_SQLQuery .= "cr_pedido_prestamo.FechaCreacion AS FechaCreacion, ";
        $s_SQLQuery .= "cr_pedido_prestamo.UsuarioCreacion AS UsuarioCreacion, ";
        $s_SQLQuery .= "cr_pedido_prestamo.FechaModificacion AS FechaModificacion, ";
        $s_SQLQuery .= "cr_pedido_prestamo.UsuarioModificacion AS UsuarioModificacion, ";
        $s_SQLQuery .= "cr_pedido_prestamo.Eliminado AS Eliminado, ";
        $s_SQLQuery .= "cr_pedido_prestamo.UsuarioEliminado AS UsuarioEliminado, ";
        $s_SQLQuery .= "cr_pedido_prestamo.FechaEliminado AS FechaEliminado, ";
        $s_SQLQuery .= "cr_pedido_prestamo.Estado AS Estado, ";
        $s_SQLQuery .= "Observacion AS Observacion, ";
        $s_SQLQuery .= "ObservacionFinal AS ObservacionFinal ";
        return $s_SQLQuery;
    }

    /* Establece el condicion de filtro de la lista resultante */
    public function addCondition( $s_Const, $s_Operator, $u_Value,$b_ComSimple=true )
    {
        $this->a_Condition[] = array( "COLUMN" => $s_Const, "OPERATOR" => $s_Operator, "VALUE" => $u_Value );
    }

    /* Establece el orden de la lista resultante */
    public function addOrderBy( $s_Const, $b_OrderAsc = true )
    {
        $this->a_OrderBy[] = array( "COLUMN" => $s_Const, "ASC" => $b_OrderAsc );
    }

    /* Establece los valores desde un objeto Cr_pedido_prestamoBN */
    public function setByBN( Cr_pedido_prestamoBN $o_Cr_pedido_prestamoBN )
    {
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdpedido() ) )
        {
            $this->setIdpedido( $o_Cr_pedido_prestamoBN->getIdpedido() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdCliente() ) )
        {
            $this->setIdCliente( $o_Cr_pedido_prestamoBN->getIdCliente() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIidMercado() ) )
        {
            $this->setIidMercado( $o_Cr_pedido_prestamoBN->getIidMercado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdColaborador() ) )
        {
            $this->setIdColaborador( $o_Cr_pedido_prestamoBN->getIdColaborador() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaTransaccion() ) )
        {
            $this->setFechaTransaccion( $o_Cr_pedido_prestamoBN->getFechaTransaccion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getMonto() ) )
        {
            $this->setMonto( $o_Cr_pedido_prestamoBN->getMonto() );
        } 
        if ( !is_null( $o_Cr_pedido_prestamoBN->getGastoAdministrativo() ) )
        {
            $this->setGastoAdministrativo( $o_Cr_pedido_prestamoBN->getGastoAdministrativo() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getGastoAdministrativoFinal() ) )
        {
            $this->setGastoAdministrativoFinal( $o_Cr_pedido_prestamoBN->getGastoAdministrativoFinal() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getMontoFinal() ) )
        {
            $this->setMonto( $o_Cr_pedido_prestamoBN->getMontoFinal() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getLimiteCredito() ) )
        {
            $this->setLimiteCredito( $o_Cr_pedido_prestamoBN->getLimiteCredito() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdPrestamo() ) )
        {
            $this->setIdPrestamo( $o_Cr_pedido_prestamoBN->getIdPrestamo() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getTelefonoContacto() ) )
        {
            $this->setTelefonoContacto( $o_Cr_pedido_prestamoBN->getTelefonoContacto() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getInteresPorcentaje() ) )
        {
            $this->setInteresPorcentaje( $o_Cr_pedido_prestamoBN->getInteresPorcentaje() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getDuracion() ) )
        {
            $this->setDuracion( $o_Cr_pedido_prestamoBN->getDuracion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getDuracionFinal() ) )
        {
            $this->setDuracionFinal( $o_Cr_pedido_prestamoBN->getDuracionFinal() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getPeridiocidadPago() ) )
        {
            $this->setPeridiocidadPago( $o_Cr_pedido_prestamoBN->getPeridiocidadPago() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getPeridiocidadPagoFinal() ) )
        {
            $this->setPeridiocidadPagoFinal( $o_Cr_pedido_prestamoBN->getPeridiocidadPagoFinal() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getHoraAtencion() ) )
        {
            $this->setHoraAtencion( $o_Cr_pedido_prestamoBN->getHoraAtencion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_Cr_pedido_prestamoBN->getFechaCreacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_Cr_pedido_prestamoBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_Cr_pedido_prestamoBN->getFechaModificacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_Cr_pedido_prestamoBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getEliminado() ) )
        {
            $this->setEliminado( $o_Cr_pedido_prestamoBN->getEliminado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getUsuarioEliminado() ) )
        {
            $this->setUsuarioEliminado( $o_Cr_pedido_prestamoBN->getUsuarioEliminado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaEliminado() ) )
        {
            $this->setFechaEliminado( $o_Cr_pedido_prestamoBN->getFechaEliminado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getEstado() ) )
        {
            $this->setEstado( $o_Cr_pedido_prestamoBN->getEstado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getObservacion() ) )
        {
            $this->setObservacionFinal( $o_Cr_pedido_prestamoBN->getObservacion() );
        }
         if ( !is_null( $o_Cr_pedido_prestamoBN->getObservacionFinal() ) )
        {
            $this->setObservacionFinal( $o_Cr_pedido_prestamoBN->getObservacionFinal() );
        }
    }

    /* Busca un registro por su llave primaria */
    public function selectByPK( $i_Idpedido )
    {
        if( is_null( $i_Idpedido ) ){ $i_Idpedido = -1; } 
 
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM cr_pedido_prestamo ";
        $s_SQLQuery .= "WHERE idpedido = ".$i_Idpedido." ";
        $s_SQLQuery .= "LIMIT 1;";
		//echo $s_SQLQuery;
        $o_Cr_pedido_prestamoBN = null;
        $o_Resource = $this->getConnect();
        $o_SQLResult = mysql_query( $s_SQLQuery, $o_Resource );
        if ( $o_SQLResult === false )
        {
            throw new Exception( mysql_error() );
        }
        if ( $a_SQLRow = mysql_fetch_object( $o_SQLResult ) )
        {
            $o_Cr_pedido_prestamoBN = $this->insertObjectBN( $a_SQLRow );
        }
        return $o_Cr_pedido_prestamoBN;
    }

    public function buildConsult()
    {
        $s_SQLQuery = "";
        if ( !is_null( $this->getIdpedido() ) ) $s_SQLQuery .= "idpedido = ".$this->getIdpedido()." AND ";
        if ( !is_null( $this->getTipo() ) ) $s_SQLQuery .= "tipo = '".$this->getTipo()."' AND ";
        if ( !is_null( $this->getIdCliente() ) ) $s_SQLQuery .= "cr_pedido_prestamo.IdCliente = ".$this->getIdCliente()." AND ";
        if ( !is_null( $this->getIidMercado() ) ) $s_SQLQuery .= "cr_pedido_prestamo.IidMercado = ".$this->getIidMercado()." AND ";
        if ( !is_null( $this->getIdColaborador() ) ) $s_SQLQuery .= "IdColaborador = ".$this->getIdColaborador()." AND ";
        if ( !is_null( $this->getFechaTransaccion() ) ) $s_SQLQuery .= "FechaTransaccion = '".$this->getFechaTransaccion()."' AND ";
        if ( !is_null( $this->getFechaEntregado() ) ) $s_SQLQuery .= "FechaEntregado like '".$this->getFechaEntregado()."%' AND ";
        if ( !is_null( $this->getMonto() ) ) $s_SQLQuery .= "Monto = ".$this->getMonto()." AND ";
        if ( !is_null( $this->getGastoAdministrativo() ) ) $s_SQLQuery .= "GastoAdministrativo = ".$this->getGastoAdministrativo()." AND ";
        if ( !is_null( $this->getGastoAdministrativoFinal() ) ) $s_SQLQuery .= "GastoAdministrativoFinal = ".$this->getGastoAdministrativoFinal()." AND ";
        if ( !is_null( $this->getLimiteCredito() ) ) $s_SQLQuery .= "LimiteCredito = ".$this->getLimiteCredito()." AND ";
        if ( !is_null( $this->getTelefonoContacto() ) ) $s_SQLQuery .= "TelefonoContacto = ".$this->getTelefonoContacto()." AND ";
        if ( !is_null( $this->getIdPrestamo() ) ) $s_SQLQuery .= "IdPrestamo = ".$this->getIdPrestamo()." AND ";
        if ( !is_null( $this->getIdPrestamoReferencia() ) ) $s_SQLQuery .= "IdPrestamoReferencia = ".$this->getIdPrestamoReferencia()." AND ";
        if ( !is_null( $this->getSaldoAnterior() ) ) $s_SQLQuery .= "SaldoAnterior = ".$this->getSaldoAnterior()." AND ";
        if ( !is_null( $this->getMontoExtra() ) ) $s_SQLQuery .= "MontoExtra = ".$this->getMontoExtra()." AND ";
        if ( !is_null( $this->getInteresPorcentaje() ) ) $s_SQLQuery .= "InteresPorcentaje = ".$this->getInteresPorcentaje()." AND ";
        if ( !is_null( $this->getInteresPorcentajeFinal() ) ) $s_SQLQuery .= "InteresPorcentajeFinal = ".$this->getInteresPorcentajeFinal()." AND ";
        if ( !is_null( $this->getDuracion() ) ) $s_SQLQuery .= "Duracion = ".$this->getDuracion()." AND ";
        if ( !is_null( $this->getDuracionFinal() ) ) $s_SQLQuery .= "DuracionFinal = ".$this->getDuracionFinal()." AND ";
        if ( !is_null( $this->getPeridiocidadPago() ) ) $s_SQLQuery .= "PeridiocidadPago = '".$this->getPeridiocidadPago()."' AND ";
        if ( !is_null( $this->getPeridiocidadPagoFinal() ) ) $s_SQLQuery .= "PeridiocidadPagoFinal = '".$this->getPeridiocidadPagoFinal()."' AND ";
        if ( !is_null( $this->getHoraAtencion() ) ) $s_SQLQuery .= "HoraAtencion = '".$this->getHoraAtencion()."' AND ";
        if ( !is_null( $this->getFechaCreacion() ) ) $s_SQLQuery .= "FechaCreacion = '".$this->getFechaCreacion()."' AND ";
        if ( !is_null( $this->getUsuarioCreacion() ) ) $s_SQLQuery .= "UsuarioCreacion = '".$this->getUsuarioCreacion()."' AND ";
        if ( !is_null( $this->getFechaModificacion() ) ) $s_SQLQuery .= "FechaModificacion = '".$this->getFechaModificacion()."' AND ";
        if ( !is_null( $this->getUsuarioModificacion() ) ) $s_SQLQuery .= "UsuarioModificacion = '".$this->getUsuarioModificacion()."' AND ";
        if ( !is_null( $this->getEliminado() ) ) $s_SQLQuery .= "Eliminado = ".$this->getEliminado()." AND ";
        if ( !is_null( $this->getUsuarioEliminado() ) ) $s_SQLQuery .= "UsuarioEliminado = '".$this->getUsuarioEliminado()."' AND ";
        if ( !is_null( $this->getFechaEliminado() ) ) $s_SQLQuery .= "FechaEliminado = '".$this->getFechaEliminado()."' AND ";
        if ( !is_null( $this->getEstado() ) ) $s_SQLQuery .= "cr_pedido_prestamo.Estado = '".$this->getEstado()."' AND ";
        if ( !is_null( $this->getObservacion() ) ) $s_SQLQuery .= "Observacion = '".$this->getObservacion()."' AND ";
        if ( count( $this->a_Condition ) > 0 )
        {
            foreach ( $this->a_Condition as $a_Condition )
            {
                 if( $a_Condition['FLAG_COMILLAS'] )
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." '".$a_Condition[ "VALUE" ]."' AND ";
                }
                else
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." ".$a_Condition[ "VALUE" ]." AND ";
                }
            }
        }
        $s_SQLQuery .= "1 = 1 ";
        return $s_SQLQuery;
    }

    public function selectNumRows()
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= "COUNT(*) AS cnt ";
        $s_SQLQuery .= "FROM cr_pedido_prestamo WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        
        $o_Resource = $this->getConnect();
        $o_SQLResult = mysql_query( $s_SQLQuery, $o_Resource );
        if ( $o_SQLResult === false )
        {
            throw new Exception( mysql_error() );
        }
        
        $num_rows = 0;
        if ( $a_SQLRow = mysql_fetch_object( $o_SQLResult ) )
        {
            $num_rows = $a_SQLRow->cnt;
        }
        return $num_rows;
    }
    
     public function selectSuma()
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= "SUM(Monto) as Monto ,SUM(MontoFinal) as MontoFinal ";
        $s_SQLQuery .= "FROM cr_pedido_prestamo WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        
        $o_Resource = $this->getConnect();
        $o_SQLResult = mysql_query( $s_SQLQuery, $o_Resource );
        if ( $o_SQLResult === false )
        {
            throw new Exception( mysql_error() );
        }
        
        $num_rows = 0;
   
    	while ( $a_SQLRow = mysql_fetch_object( $o_SQLResult ) ){
    		$a_monto['Monto'] = $a_SQLRow->Monto;
    		$a_monto['MontoFinal'] = $a_SQLRow->MontoFinal;
    	}
        
       
        return $a_monto;
    }

    /* Busca varios registros por los campos establecidos */
    public function select( $i_Position = null, $i_Rows = null )
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM cr_pedido_prestamo WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        if ( count( $this->a_OrderBy ) > 0 )
        {
            $s_SQLQuery = $s_SQLQuery."ORDER BY ";
            $s_Separator = "";
            foreach ( $this->a_OrderBy as $a_OrderBy )
            {
                $s_SQLQuery .= $s_Separator.$a_OrderBy[ "COLUMN" ]." ";
                if ( $a_OrderBy[ "ASC" ] === false ) $s_SQLQuery .= "DESC ";
                $s_Separator = ", ";
            }
        }
        if( !is_null( $i_Position ) && is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position;
        if( !is_null( $i_Position ) && !is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position.", ".$i_Rows;
        $s_SQLQuery .= ";";

        $a_Cr_pedido_prestamoBN = null;
        $o_Resource = $this->getConnect();
        //echo $s_SQLQuery."";
        $o_SQLResult = mysql_query( $s_SQLQuery, $o_Resource );
        if ( $o_SQLResult === false )
        {
            throw new Exception( mysql_error() );
        }
        while ( $a_SQLRow = mysql_fetch_object( $o_SQLResult ) )
        {
            $o_Cr_pedido_prestamoBN = $this->insertObjectBN( $a_SQLRow );
            $a_Cr_pedido_prestamoBN[] = $o_Cr_pedido_prestamoBN;
        }
        return $a_Cr_pedido_prestamoBN;
    }

    /* Devuelve un objeto Cr_pedido_prestamoBN desde un objeto propel */
    public function insertObjectBN( $o_Cr_pedido_prestamo )
    {
        $o_Cr_pedido_prestamoBN = new Cr_pedido_prestamoBN();
        if ( !is_null( $o_Cr_pedido_prestamo->idpedido ) ) $o_Cr_pedido_prestamoBN->setIdpedido( ( integer ) $o_Cr_pedido_prestamo->idpedido );
        if ( !is_null( $o_Cr_pedido_prestamo->tipo ) ) $o_Cr_pedido_prestamoBN->setTipo(  $o_Cr_pedido_prestamo->tipo);
        if ( !is_null( $o_Cr_pedido_prestamo->IdCliente ) ) $o_Cr_pedido_prestamoBN->setIdCliente( ( integer ) $o_Cr_pedido_prestamo->IdCliente );
        if ( !is_null( $o_Cr_pedido_prestamo->IidMercado ) ) $o_Cr_pedido_prestamoBN->setIidMercado( ( integer ) $o_Cr_pedido_prestamo->IidMercado );
        if ( !is_null( $o_Cr_pedido_prestamo->IdColaborador ) ) $o_Cr_pedido_prestamoBN->setIdColaborador( ( integer ) $o_Cr_pedido_prestamo->IdColaborador );
        if ( !is_null( $o_Cr_pedido_prestamo->FechaTransaccion ) ) $o_Cr_pedido_prestamoBN->setFechaTransaccion( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamo->FechaTransaccion, "Y-m-d" ) );
        if ( !is_null( $o_Cr_pedido_prestamo->FechaEntrega ) ) $o_Cr_pedido_prestamoBN->setFechaEntrega( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamo->FechaEntrega, "Y-m-d" ) );
        if ( !is_null( $o_Cr_pedido_prestamo->Monto ) ) $o_Cr_pedido_prestamoBN->setMonto( ( float ) $o_Cr_pedido_prestamo->Monto );
        if ( !is_null( $o_Cr_pedido_prestamo->GastoAdministrativo ) ) $o_Cr_pedido_prestamoBN->setGastoAdministrativo( ( float ) $o_Cr_pedido_prestamo->GastoAdministrativo);
        if ( !is_null( $o_Cr_pedido_prestamo->GastoAdministrativoFinal ) ) $o_Cr_pedido_prestamoBN->setGastoAdministrativoFinal( ( float ) $o_Cr_pedido_prestamo->GastoAdministrativoFinal);
        if ( !is_null( $o_Cr_pedido_prestamo->MontoFinal ) ) $o_Cr_pedido_prestamoBN->setMontoFinal( ( float ) $o_Cr_pedido_prestamo->MontoFinal );
        if ( !is_null( $o_Cr_pedido_prestamo->LimiteCredito ) ) $o_Cr_pedido_prestamoBN->setLimiteCredito( ( float ) $o_Cr_pedido_prestamo->LimiteCredito );
        if ( !is_null( $o_Cr_pedido_prestamo->TelefonoContacto ) ) $o_Cr_pedido_prestamoBN->setTelefonoContacto( $o_Cr_pedido_prestamo->TelefonoContacto);
        if ( !is_null( $o_Cr_pedido_prestamo->IdPrestamo ) ) $o_Cr_pedido_prestamoBN->setIdPrestamo( $o_Cr_pedido_prestamo->IdPrestamo);
        if ( !is_null( $o_Cr_pedido_prestamo->IdPrestamoReferencia ) ) $o_Cr_pedido_prestamoBN->setIdPrestamoReferencia( $o_Cr_pedido_prestamo->IdPrestamoReferencia);
        if ( !is_null( $o_Cr_pedido_prestamo->SaldoAnterior ) ) $o_Cr_pedido_prestamoBN->setSaldoAnterior( $o_Cr_pedido_prestamo->SaldoAnterior);
        if ( !is_null( $o_Cr_pedido_prestamo->MontoExtra ) ) $o_Cr_pedido_prestamoBN->setMontoExtra( $o_Cr_pedido_prestamo->MontoExtra);
        if ( !is_null( $o_Cr_pedido_prestamo->MontoExtraFinal ) ) $o_Cr_pedido_prestamoBN->setMontoExtraFinal( $o_Cr_pedido_prestamo->MontoExtraFinal);
        if ( !is_null( $o_Cr_pedido_prestamo->InteresPorcentaje ) ) $o_Cr_pedido_prestamoBN->setInteresPorcentaje( ( float ) $o_Cr_pedido_prestamo->InteresPorcentaje );
        if ( !is_null( $o_Cr_pedido_prestamo->InteresPorcentajeFinal ) ) $o_Cr_pedido_prestamoBN->setInteresPorcentajeFinal( ( float ) $o_Cr_pedido_prestamo->InteresPorcentajeFinal );
        if ( !is_null( $o_Cr_pedido_prestamo->Duracion ) ) $o_Cr_pedido_prestamoBN->setDuracion( ( integer ) $o_Cr_pedido_prestamo->Duracion );
        if ( !is_null( $o_Cr_pedido_prestamo->DuracionFinal ) ) $o_Cr_pedido_prestamoBN->setDuracionFinal( ( integer ) $o_Cr_pedido_prestamo->DuracionFinal );
        if ( !is_null( $o_Cr_pedido_prestamo->PeridiocidadPago ) ) $o_Cr_pedido_prestamoBN->setPeridiocidadPago( $o_Cr_pedido_prestamo->PeridiocidadPago );
        if ( !is_null( $o_Cr_pedido_prestamo->PeridiocidadPagoFinal ) ) $o_Cr_pedido_prestamoBN->setPeridiocidadPagoFinal( $o_Cr_pedido_prestamo->PeridiocidadPagoFinal );
        if ( !is_null( $o_Cr_pedido_prestamo->HoraAtencion ) ) $o_Cr_pedido_prestamoBN->setHoraAtencion( $o_Cr_pedido_prestamo->HoraAtencion );
        if ( !is_null( $o_Cr_pedido_prestamo->FechaCreacion ) ) $o_Cr_pedido_prestamoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamo->FechaCreacion, "Y-m-d" ) );
        if ( !is_null( $o_Cr_pedido_prestamo->UsuarioCreacion ) ) $o_Cr_pedido_prestamoBN->setUsuarioCreacion( $o_Cr_pedido_prestamo->UsuarioCreacion );
        if ( !is_null( $o_Cr_pedido_prestamo->FechaModificacion ) ) $o_Cr_pedido_prestamoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamo->FechaModificacion, "Y-m-d" ) );
        if ( !is_null( $o_Cr_pedido_prestamo->UsuarioModificacion ) ) $o_Cr_pedido_prestamoBN->setUsuarioModificacion( $o_Cr_pedido_prestamo->UsuarioModificacion );
        if ( !is_null( $o_Cr_pedido_prestamo->Eliminado ) ) $o_Cr_pedido_prestamoBN->setEliminado( ( integer ) $o_Cr_pedido_prestamo->Eliminado );
        if ( !is_null( $o_Cr_pedido_prestamo->UsuarioEliminado ) ) $o_Cr_pedido_prestamoBN->setUsuarioEliminado( $o_Cr_pedido_prestamo->UsuarioEliminado );
        if ( !is_null( $o_Cr_pedido_prestamo->FechaEliminado ) ) $o_Cr_pedido_prestamoBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamo->FechaEliminado, "Y-m-d" ) );
        if ( !is_null( $o_Cr_pedido_prestamo->Estado ) ) $o_Cr_pedido_prestamoBN->setEstado( $o_Cr_pedido_prestamo->Estado );
        if ( !is_null( $o_Cr_pedido_prestamo->Mora ) ) $o_Cr_pedido_prestamoBN->setMora( $o_Cr_pedido_prestamo->Mora);
        if ( !is_null( $o_Cr_pedido_prestamo->MoraFinal ) ) $o_Cr_pedido_prestamoBN->setMoraFinal( $o_Cr_pedido_prestamo->MoraFinal);
        if ( !is_null( $o_Cr_pedido_prestamo->Observacion ) ) $o_Cr_pedido_prestamoBN->setObservacion( $o_Cr_pedido_prestamo->Observacion );
        if ( !is_null( $o_Cr_pedido_prestamo->ObservacionFinal ) ) $o_Cr_pedido_prestamoBN->setObservacionFinal( $o_Cr_pedido_prestamo->ObservacionFinal );
        if ( !is_null( $o_Cr_pedido_prestamo->RegistroLongitud ) ) $o_Cr_pedido_prestamoBN->setRegistroLongitud( $o_Cr_pedido_prestamo->RegistroLongitud );
        if ( !is_null( $o_Cr_pedido_prestamo->RegistroLatitud ) ) $o_Cr_pedido_prestamoBN->setRegistroLatitud( $o_Cr_pedido_prestamo->RegistroLatitud );
        return $o_Cr_pedido_prestamoBN;
    }
}
?>